新立得搜索到的软件不能安装

软件源讨论区
回复
头像
yulinxx
帖子: 114
注册时间: 2009-03-18 15:51
来自: Chinb
送出感谢: 1 次
接收感谢: 0

新立得搜索到的软件不能安装

#1

帖子 yulinxx » 2011-04-18 14:24

新立得搜索到的软件不能安装

用 sudo apt-get install *** 以及 Ubuntu Tweak 也不能安装

新立得的提示如下:


Could not mark all packages for installation or upgrade

The following package have unresolvable dependencies, make sure that
all required repositories are added and enabled in the preferences


shutter:
Depends: libxml-simple-perl but it is not installable
Depends: libwww-mechanize-perl but it is not installable
Depends: libgnome2-gconf-perl but it is not installable
Depends: libgnome2-wnck-perl but it is not installable
Depends: perlmagick but it is not installable
Depends: libgtk2-imageview-perl but it is not installable
Depends: libx11-protocol-perl but it is not installable
Depends: libgtk2-trayicon-perl but it is not installable
Depends: libgoo-canvas-perl but it is not installable
Depends: libproc-processtable-perl but it is not installable
Depends: libgtk2-unique-perl but it is not installable
Depends: gnome-web-photo but it is not installable
头像
zhw2101024
帖子: 1849
注册时间: 2009-03-28 16:10
系统: Arch debian win7
送出感谢: 9 次
接收感谢: 70 次
联系:

Re: 新立得搜索到的软件不能安装

#2

帖子 zhw2101024 » 2011-04-18 15:59

看起来是一些依赖的包无法安装,Google一下,可能会找到要修改sources.list或者在软件源添加源地址,然后apt-get update
头像
zhw2101024
帖子: 1849
注册时间: 2009-03-28 16:10
系统: Arch debian win7
送出感谢: 9 次
接收感谢: 70 次
联系:

Re: 新立得搜索到的软件不能安装

#3

帖子 zhw2101024 » 2011-04-18 16:01

是哪个软件包?贴出来让大家都试验一下
头像
yulinxx
帖子: 114
注册时间: 2009-03-18 15:51
来自: Chinb
送出感谢: 1 次
接收感谢: 0

Re: 新立得搜索到的软件不能安装

#4

帖子 yulinxx » 2011-04-20 9:41

比如 截图软件 shutter

sudo apt-get install shutter

我的也不成
头像
yulinxx
帖子: 114
注册时间: 2009-03-18 15:51
来自: Chinb
送出感谢: 1 次
接收感谢: 0

Re: 新立得搜索到的软件不能安装

#5

帖子 yulinxx » 2011-04-25 9:02

:em09


原来是我的源出问题了 修改一下就OK了
levee
帖子: 3030
注册时间: 2009-10-03 23:31
送出感谢: 0
接收感谢: 13 次

Re: 新立得搜索到的软件不能安装

#6

帖子 levee » 2011-04-25 9:07

一般这种问题都可以通过换源来解决。
回复

回到 “新立得和软件源”